import QtQuick 1.1

Rectangle {
    id: defaultFanart
    color:  "black"

    property string coverText

    Text {
        anchors.fill: parent
        textFormat: Text.StyledText
        text: "<b>" + coverText + "</b> " + coverText + " " + coverText
        wrapMode: Text.WrapAnywhere
        color: "lightblue"
        font.pixelSize: parent.height / 6
        font.capitalization: Font.AllUppercase
        clip: true

        Component.onCompleted: {
            var randomNumber = Math.floor(Math.random() * 5);
            switch(randomNumber) {
            case 0:
                color = "lightblue";
                break;
            case 1:
                color = "red";
                break;
            case 2:
                color = "lightgreen";
                break;
            case 3:
                color = "yellow";
                break;
            case 4:
                color = "white";
                break;
            }
        }
    }
}
